Bank transactions

List Bank Account Transactions

GET
/orgs/{organizationId}/bank-transactions

Lists bank account transactions with filtering, sorting, and pagination

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Query Parameters

page?integer
Range-9007199254740991 <= value <= 9007199254740991
limit?integer
Range-9007199254740991 <= value <= 9007199254740991
sortBy?string
Value in"id""externalId""accountId""currency""amount""fee""executionDate""createdAt""updatedAt""valueDate""paymentReportId""paymentId"
sortDir?string
Value in"asc""desc"
include?|array<>|string
externalId?string|array<string>|null
creditorId?string|array<string>|null
endToEndId?string|array<string>|null
mandateId?string|array<string>|null
paymentReportId?string|array<string>|null
paymentId?string|array<string>|null
amount?number||
fee?number||
executionDate?|null
createdAt?|null
updatedAt?|null
valueDate?|null
accountId?string|array<string>|
currency?string|array<string>|
hasPaymentReport?boolean|string|number|null
hasNoPaymentReport?boolean|string|number|null
hasPayment?boolean|string|number|null
hasNoPayment?boolean|string|number|null

Response Body

OK

application/json
  1. response
curl -X GET 'https://api.tillor.eu/orgs/string/bank-transactions'
null